ChangeSet 1.1372.2.10, 2003/07/10 13:18:12-07:00, greg@kroah.com

[PATCH] USB: remove pointless warning about using usbdevfs

This is being printed when it shouldn't, but there really isn't an
easy way to fix it.  This closes bug #223.


 drivers/usb/core/inode.c |    4 ----
 1 files changed, 4 deletions(-)


diff -Nru a/drivers/usb/core/inode.c b/drivers/usb/core/inode.c
--- a/drivers/usb/core/inode.c	Thu Jul 10 16:01:15 2003
+++ b/drivers/usb/core/inode.c	Thu Jul 10 16:01:15 2003
@@ -491,10 +491,6 @@
 static struct super_block *usb_get_sb(struct file_system_type *fs_type,
 	int flags, const char *dev_name, void *data)
 {
-	if (fs_type == &usbdevice_fs_type)
-		printk (KERN_INFO "Please use the 'usbfs' filetype instead, "
-				"the 'usbdevfs' name is deprecated.\n");
-
 	return get_sb_single(fs_type, flags, data, usbfs_fill_super);
 }
 
